GET /calendars
List calendars
Retrieve a list of the resource's calendars.
If your user/resource is connected to Google, the calendars returned will be your Google calendars. The provider_* fields are specific to Google calendars only and are synced from Google.
To choose which calendars that should be synced from Google, see the [PUT] /calendars:/:id endpoint.
Endpoint
GET https://api.timekit.io/v2/calendars
Parameters
| Name | In | Type | Required | Default | Description |
|---|---|---|---|---|---|
include |
query | string | Available includes: events |
Request examples
curlcurl -X GET \
-u doc.brown@timekit.io:nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
https://api.timekit.io/v2/calendars
Response examples
200
json{
"data": [
{
"id": "bfa0b9fa-36aa-4ae6-8096-f3b20fbed1d2",
"name": "Important encounters with Marty",
"display_name": "Important encounters with Marty",
"description": "Througout time, Marty and I really need to meet in order for the world not to collapse into Biffy cazyness.",
"foregroundcolor": "#000000",
"backgroundcolor": "#FFFFFF",
"provider_id": "important-encounters-with-marty",
"provider_access": "reader",
"provider_primary": false,
"provider_sync": false,
"created_at": "2016-02-29T18:41:38+0100",
"updated_at": "2016-06-02T23:00:03+0200"
},
{
"id": "c91c5d04-2a57-46c0-ab35-e489dadf132e",
"name": "My personal calendar",
"display_name": "My personal calendar",
"description": "Notes to self, so I don't remember to to them.",
"foregroundcolor": "#25d6be",
"backgroundcolor": "#ea1cb8",
"provider_id": "my-personal-google-calendar",
"provider_access": "owner",
"provider_primary": true,
"provider_sync": true,
"created_at": "2016-02-29T18:41:38+0100",
"updated_at": "2016-06-02T23:00:03+0200"
}
]
}
401
textInvalid credentials.